package com.example.bdkipoc;

import android.content.Intent;
import android.os.Bundle;
import android.widget.Toast;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.cardview.widget.CardView;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_main);

        // Ganti findViewById(R.id.main) dengan findViewById(R.id.merchant_card)
        // atau root layout yang ada di XML
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(android.R.id.content), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });

        // Setup menu listeners
        setupMenuListeners();
    }

    private void setupMenuListeners() {
        // Card IDs to set up listeners
        int[] cardIds = {
            R.id.card_kartu_kredit,
            R.id.card_kartu_debit,
            R.id.card_qris,
            R.id.card_transfer,
            R.id.card_uang_elektronik,
            R.id.card_cetak_ulang,
            R.id.card_refund,
            R.id.card_settlement,
            R.id.card_histori
        };

        // Cara 1: Menggunakan loop dengan if-else
        for (int cardId : cardIds) {
            CardView cardView = findViewById(cardId);
            cardView.setOnClickListener(v -> {
                if (cardId == R.id.card_kartu_kredit) {
                    Toast.makeText(this, "Kartu Kredit Diklik", Toast.LENGTH_SHORT).show();
                } else if (cardId == R.id.card_kartu_debit) {
                    Toast.makeText(this, "Kartu Debit Diklik", Toast.LENGTH_SHORT).show();
                } else if (cardId == R.id.card_qris) {
                    // Arahkan ke PaymentActivity untuk Transfer
                    startActivity(new Intent(MainActivity.this, PaymentActivity.class));
                    // Arahkan ke TransactionActivity untuk QRIS
                } else if (cardId == R.id.card_transfer) {
                    startActivity(new Intent(MainActivity.this, TransactionActivity.class));
                } else if (cardId == R.id.card_uang_elektronik) {
                    Toast.makeText(this, "Uang Elektronik Diklik", Toast.LENGTH_SHORT).show();
                } else if (cardId == R.id.card_cetak_ulang) {
                    Toast.makeText(this, "Cetak Ulang Diklik", Toast.LENGTH_SHORT).show();
                } else if (cardId == R.id.card_refund) {
                    Toast.makeText(this, "Refund Diklik", Toast.LENGTH_SHORT).show();
                } else if (cardId == R.id.card_settlement) {
                    Toast.makeText(this, "Settlement Diklik", Toast.LENGTH_SHORT).show();
                } else if (cardId == R.id.card_histori) {
                    Toast.makeText(this, "Histori Diklik", Toast.LENGTH_SHORT).show();
                }
            });
        }

        // Lainnya button listener
        findViewById(R.id.btn_lainnya).setOnClickListener(v -> 
            Toast.makeText(this, "Lainnya Diklik", Toast.LENGTH_SHORT).show()
        );
    }
}